## EmpathyTpTube EmpathyTpTube |

## Synopsis

                        EmpathyTpTube;
    EmpathyTpTube*      empathy_tp_tube_new                 (TpChannel *channel,
                                                             guint tube_id);
    EmpathyTpTube*      empathy_tp_tube_new_stream_tube     (EmpathyContact *contact,
                                                             TpSocketAddressType type,
                                                             const gchar *hostname,
                                                             guint port,
                                                             const gchar *service);
    void                empathy_tp_tube_accept_stream_tube  (EmpathyTpTube *tube,
                                                             TpSocketAddressType type);
    void                empathy_tp_tube_get_socket          (EmpathyTpTube *tube,
                                                             gchar **hostname,
                                                             guint *port);

## Object Hierarchy

      GObject
       +----EmpathyTpTube

## Properties

      "channel"                  TpChannel*            : Read / Write / Construct Only
      "id"                       guint                 : Read / Write / Construct Only
      "initiator"                guint                 : Read
      "initiator-contact"        EmpathyContact*       : Read
      "parameters"               GHashTable*           : Read
      "service"                  gchar*                : Read
      "state"                    guint                 : Read
      "type"                     guint                 : Read

## Signals

      "destroy"                                        : Run Last

## Description

## Details

### EmpathyTpTube

    typedef struct _EmpathyTpTube EmpathyTpTube;

### empathy_tp_tube_new ()

    EmpathyTpTube*      empathy_tp_tube_new                 (TpChannel *channel,
                                                             guint tube_id);

`channel` : |
`tube_id` : |
Returns : |

### empathy_tp_tube_new_stream_tube ()

    EmpathyTpTube*      empathy_tp_tube_new_stream_tube     (EmpathyContact *contact,
                                                             TpSocketAddressType type,
                                                             const gchar *hostname,
                                                             guint port,
                                                             const gchar *service);

`contact` : |
`type` : |
`hostname` : |
`port` : |
`service` : |
Returns : |

### empathy_tp_tube_accept_stream_tube ()

    void                empathy_tp_tube_accept_stream_tube  (EmpathyTpTube *tube,
                                                             TpSocketAddressType type);

`tube` : |
`type` : |

### empathy_tp_tube_get_socket ()

    void                empathy_tp_tube_get_socket          (EmpathyTpTube *tube,
                                                             gchar **hostname,
                                                             guint *port);

`tube` : |
`hostname` : |
`port` : |

## Property Details

### The `"channel"` property

      "channel"                  TpChannel*            : Read / Write / Construct Only

channel.

### The `"id"` property

      "id"                       guint                 : Read / Write / Construct Only

id.

Default value: 0

### The `"initiator"` property

      "initiator"                guint                 : Read

initiator.

Default value: 0

### The `"initiator-contact"` property

      "initiator-contact"        EmpathyContact*       : Read

initiator contact.

### The `"parameters"` property

      "parameters"               GHashTable*           : Read

parameters.

### The `"service"` property

      "service"                  gchar*                : Read

service.

Default value: NULL

### The `"state"` property

      "state"                    guint                 : Read

state.

Default value: 0

### The `"type"` property

      "type"                     guint                 : Read

type.

Default value: 0

## Signal Details

### The `"destroy"` signal

    void                user_function                      (EmpathyTpTube *empathytptube,
                                                            gpointer       user_data)          : Run Last

`empathytptube` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.